Table editable

Bootstrap table editable

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

With an Editable Bootstrap Table, you can add and remove rows, plus and change text and information within cells. In-place editing on your website - based on JavaScript - is now easier and quicker.

Note: If you need more advanced functionality, have a look at our Table editor plugin.


Basic example

Editable table

Person Name Age Company Name Country City Sort Remove
Aurelia Vega 30 Deepends Spain Madrid
Guerra Cortez 45 Insectus USA San Francisco
Guadalupe House 26 Isotronic Germany Frankfurt am Main
Elisa Gallagher 31 Portica United Kingdom London
        
            
        <!-- Editable table -->
        <div class="card">
          <h3 class="card-header text-center font-weight-bold text-uppercase py-4">
            Editable table
          </h3>
          <div class="card-body">
            <div id="table" class="table-editable">
              <span class="table-add float-right mb-3 mr-2"
                ><a href="#!" class="text-success"
                  ><i class="fas fa-plus fa-2x" aria-hidden="true"></i></a
              ></span>
              <table class="table table-bordered table-responsive-md table-striped text-center">
                <thead>
                  <tr>
                    <th class="text-center">Person Name</th>
                    <th class="text-center">Age</th>
                    <th class="text-center">Company Name</th>
                    <th class="text-center">Country</th>
                    <th class="text-center">City</th>
                    <th class="text-center">Sort</th>
                    <th class="text-center">Remove</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td class="pt-3-half" contenteditable="true">Aurelia Vega</td>
                    <td class="pt-3-half" contenteditable="true">30</td>
                    <td class="pt-3-half" contenteditable="true">Deepends</td>
                    <td class="pt-3-half" contenteditable="true">Spain</td>
                    <td class="pt-3-half" contenteditable="true">Madrid</td>
                    <td class="pt-3-half">
                      <span class="table-up"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-up" aria-hidden="true"></i></a
                      ></span>
                      <span class="table-down"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-down" aria-hidden="true"></i></a
                      ></span>
                    </td>
                    <td>
                      <span class="table-remove"
                        ><button type="button" class="btn btn-danger btn-rounded btn-sm my-0">
                          Remove
                        </button></span
                      >
                    </td>
                  </tr>
                  <!-- This is our clonable table line -->
                  <tr>
                    <td class="pt-3-half" contenteditable="true">Guerra Cortez</td>
                    <td class="pt-3-half" contenteditable="true">45</td>
                    <td class="pt-3-half" contenteditable="true">Insectus</td>
                    <td class="pt-3-half" contenteditable="true">USA</td>
                    <td class="pt-3-half" contenteditable="true">San Francisco</td>
                    <td class="pt-3-half">
                      <span class="table-up"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-up" aria-hidden="true"></i></a
                      ></span>
                      <span class="table-down"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-down" aria-hidden="true"></i></a
                      ></span>
                    </td>
                    <td>
                      <span class="table-remove"
                        ><button type="button" class="btn btn-danger btn-rounded btn-sm my-0">
                          Remove
                        </button></span
                      >
                    </td>
                  </tr>
                  <!-- This is our clonable table line -->
                  <tr>
                    <td class="pt-3-half" contenteditable="true">Guadalupe House</td>
                    <td class="pt-3-half" contenteditable="true">26</td>
                    <td class="pt-3-half" contenteditable="true">Isotronic</td>
                    <td class="pt-3-half" contenteditable="true">Germany</td>
                    <td class="pt-3-half" contenteditable="true">Frankfurt am Main</td>
                    <td class="pt-3-half">
                      <span class="table-up"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-up" aria-hidden="true"></i></a
                      ></span>
                      <span class="table-down"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-down" aria-hidden="true"></i></a
                      ></span>
                    </td>
                    <td>
                      <span class="table-remove"
                        ><button type="button" class="btn btn-danger btn-rounded btn-sm my-0">
                          Remove
                        </button></span
                      >
                    </td>
                  </tr>
                  <!-- This is our clonable table line -->
                  <tr class="hide">
                    <td class="pt-3-half" contenteditable="true">Elisa Gallagher</td>
                    <td class="pt-3-half" contenteditable="true">31</td>
                    <td class="pt-3-half" contenteditable="true">Portica</td>
                    <td class="pt-3-half" contenteditable="true">United Kingdom</td>
                    <td class="pt-3-half" contenteditable="true">London</td>
                    <td class="pt-3-half">
                      <span class="table-up"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-up" aria-hidden="true"></i></a
                      ></span>
                      <span class="table-down"
                        ><a href="#!" class="indigo-text"
                          ><i class="fas fa-long-arrow-alt-down" aria-hidden="true"></i></a
                      ></span>
                    </td>
                    <td>
                      <span class="table-remove"
                        ><button type="button" class="btn btn-danger btn-rounded btn-sm my-0">
                          Remove
                        </button></span
                      >
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- Editable table -->
      
        
    
        
            
        .pt-3-half { 
          padding-top: 1.4rem; 
        }
      
        
    
        
            
        const $tableID = $('#table'); const $BTN = $('#export-btn'); const $EXPORT = $('#export');
        const newTr = `
        <tr class="hide">
          <td class="pt-3-half" contenteditable="true">Example</td>
          <td class="pt-3-half" contenteditable="true">Example</td>
          <td class="pt-3-half" contenteditable="true">Example</td>
          <td class="pt-3-half" contenteditable="true">Example</td>
          <td class="pt-3-half" contenteditable="true">Example</td>
          <td class="pt-3-half">
            <span class="table-up"
              ><a href="#!" class="indigo-text"
                ><i class="fas fa-long-arrow-alt-up" aria-hidden="true"></i></a
            ></span>
            <span class="table-down"
              ><a href="#!" class="indigo-text"
                ><i class="fas fa-long-arrow-alt-down" aria-hidden="true"></i></a
            ></span>
          </td>
          <td>
            <span class="table-remove"
              ><button
                type="button"
                class="btn btn-danger btn-rounded btn-sm my-0 waves-effect waves-light"
              >
                Remove
              </button></span
            >
          </td>
        </tr>
        `; 
        $('.table-add').on('click', 'i', () => {
          const $clone = $tableID.find('tbody
              tr ').last().clone(true).removeClass('
              hide table - line '); if ($tableID.find('
              tbody tr ').length ===
              0) {
              $('tbody').append(newTr);
          }
          $tableID.find('table').append($clone);
      });
      $tableID.on('click', '.table-remove', function() {
          $(this).parents('tr').detach();
      });
      $tableID.on('click', '.table-up', function() {
          const $row = $(this).parents('tr');
          if ($row.index() === 0) {
              return;
          }
          $row.prev().before($row.get(0));
      });
      $tableID.on('click',
          '.table-down',
          function() {
              const $row = $(this).parents('tr');
              $row.next().after($row.get(0));
          }); // A few jQuery helpers for exporting only jQuery.fn.pop
      = [].pop;
      jQuery.fn.shift = [].shift;
      $BTN.on('click', () => {
          const $rows =
              $tableID.find('tr:not(:hidden)');
          const headers = [];
          const data = []; // Get the headers
          (add special header logic here) $($rows.shift()).find('th:not(:empty)').each(function() {
              headers.push($(this).text().toLowerCase());
          }); // Turn all existing rows into a loopable
          array $rows.each(function() {
              const $td = $(this).find('td');
              const h = {}; // Use the
              headers from earlier to name our hash keys headers.forEach((header, i) => {
                  h[header] =
                      $td.eq(i).text();
              });
              data.push(h);
          }); // Output the result
          $EXPORT.text(JSON.stringify(data));
      });
      
        
    

Advanced example - table editor

The table editor is an extension that allows you to create customized, fully editable tables.

Learn more

Vue Bootstrap Table Editable

Vue Table Editable - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

With Vue Editable Bootstrap Table, you can add and remove rows and change text and information within cells. In-place editing on your website - based on JavaScript - is now easier and quicker.

To start working with editable table see API tab on this page.

Note: Table editable integration is available from version 4.5.0 (released 30.07.2018).


Basic example MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-card>
                <h3 class="card-header stylish-color white-text text-center font-weight-bold text-uppercase py-4">Editable
                  table</h3>
                <mdb-card-body>
                  <mdb-table-editable :columns="columns" :rows="rows" class="text-center" striped bordered responsive
                    pagination :display="3" :entries="5" />
                </mdb-card-body>
              </mdb-card>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTableEditable,
              mdbCard,
              mdbCardBody,
              mdbContainer
            } from 'mdbvue';
            export default {
              name: 'TableEditablePage',
              components: {
                mdbTableEditable,
                mdbCard,
                mdbCardBody,
                mdbContainer
              },
              data() {
                return {
                  columns: [{
                      label: 'Name',
                      field: 'name',
                    },
                    {
                      label: 'Position',
                      field: 'position',
                    },
                    {
                      label: 'Office',
                      field: 'office',
                    },
                    {
                      label: 'Age',
                      field: 'age',
                    },
                    {
                      label: 'Start date',
                      field: 'date',
                      sort: 'asc'
                    },
                    {
                      label: 'Salary',
                      field: 'salary',
                    }
                  ],
                  rows: [{
                      name: 'Tiger Nixon',
                      position: 'System Architect',
                      office: 'Edinburgh',
                      age: '61',
                      date: '2011/04/25',
                      salary: '$320'
                    },
                    {
                      name: 'Garrett Winters',
                      position: 'Accountant',
                      office: 'Tokyo',
                      age: '63',
                      date: '2011/07/25',
                      salary: '$170'
                    },
                    {
                      name: 'Ashton Cox',
                      position: 'Junior Technical Author',
                      office: 'San Francisco',
                      age: '66',
                      date: '2009/01/12',
                      salary: '$86'
                    },
                    {
                      name: 'Cedric Kelly',
                      position: 'Senior Javascript Developer',
                      office: 'Edinburgh',
                      age: '22',
                      date: '2012/03/29',
                      salary: '$433'
                    }
                  ]
                };
              }
            }
          </script>
          
        
    

Basic example MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-card>
                <h3 class="card-header stylish-color white-text text-center font-weight-bold text-uppercase py-4">Editable
                  table</h3>
                <mdb-card-body>
                  <mdb-table-editable :columns="columns" :rows="rows" class="text-center" striped bordered responsive
                    pagination :display="3" :entries="5" />
                </mdb-card-body>
              </mdb-card>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTableEditable,
              mdbCard,
              mdbCardBody,
              mdbContainer
            } from 'mdbvue';
            export default {
              name: 'TableEditablePage',
              components: {
                mdbTableEditable,
                mdbCard,
                mdbCardBody,
                mdbContainer
              },
              data() {
                return {
                  columns: [{
                      label: 'Name',
                      field: 'name',
                    },
                    {
                      label: 'Position',
                      field: 'position',
                    },
                    {
                      label: 'Office',
                      field: 'office',
                    },
                    {
                      label: 'Age',
                      field: 'age',
                    },
                    {
                      label: 'Start date',
                      field: 'date',
                      sort: 'asc'
                    },
                    {
                      label: 'Salary',
                      field: 'salary',
                    }
                  ],
                  rows: [{
                      name: 'Tiger Nixon',
                      position: 'System Architect',
                      office: 'Edinburgh',
                      age: '61',
                      date: '2011/04/25',
                      salary: '$320'
                    },
                    {
                      name: 'Garrett Winters',
                      position: 'Accountant',
                      office: 'Tokyo',
                      age: '63',
                      date: '2011/07/25',
                      salary: '$170'
                    },
                    {
                      name: 'Ashton Cox',
                      position: 'Junior Technical Author',
                      office: 'San Francisco',
                      age: '66',
                      date: '2009/01/12',
                      salary: '$86'
                    },
                    {
                      name: 'Cedric Kelly',
                      position: 'Senior Javascript Developer',
                      office: 'Edinburgh',
                      age: '22',
                      date: '2012/03/29',
                      salary: '$433'
                    }
                  ]
                };
              }
            }
          </script>
          
        
    

Tables - getting started : download & setup


Download

All the components and features are part of MDBootstrap for Vue package.

MDBootstrap (Material Design for Bootstrap) is a free (MIT Licensed) framework combining Material Design and the newest Bootstrap 4 with Vue.

Click the button below to go to Download Page, where you can download MDBootstrap package.

MDBootstrap Vue version Download MDBootstrap (Vue version) About

Setup

After downloading and extracting MDB package, import mdbTableEditable component in your App.vue file.

        
            
  <script>
    import {
      mdbTableEditable
    } from 'mdbvue';

    export default {
      name: 'TableEditablePage',
      components: {
        mdbTableEditable
      },
      //...
    }
  </script>
  
        
    

Next you have to fullfill data()

columns stands for header cells and rows contains your data objects.

        
            
  <script>
    import {
      mdbTableEditable
    } from 'mdbvue';
    export default {
      name: 'TableEditablePage',
      components: {
        mdbTableEditable
      },
      data() {
        return {
          columns: [{
              label: 'Name',
              field: 'name',
            },
            {
              label: 'Position',
              field: 'position',
            },
            {
              label: 'Office',
              field: 'office',
            },
            {
              label: 'Age',
              field: 'age',
            },
            {
              label: 'Start date',
              field: 'date',
              sort: 'asc'
            },
            {
              label: 'Salary',
              field: 'salary',
            }
          ],
          rows: [{
              name: 'Tiger Nixon',
              position: 'System Architect',
              office: 'Edinburgh',
              age: '61',
              date: '2011/04/25',
              salary: '$320'
            },
            {
              name: 'Garrett Winters',
              position: 'Accountant',
              office: 'Tokyo',
              age: '63',
              date: '2011/07/25',
              salary: '$170'
            },
            {
              name: 'Ashton Cox',
              position: 'Junior Technical Author',
              office: 'San Francisco',
              age: '66',
              date: '2009/01/12',
              salary: '$86'
            },
            {
              name: 'Cedric Kelly',
              position: 'Senior Javascript Developer',
              office: 'Edinburgh',
              age: '22',
              date: '2012/03/29',
              salary: '$433'
            }
          ]
        }
      }
    }
  </script>
  
        
    

Last step: use mdb-datatable within template with props passed to it.

        
            
  <template>
    <div>
      <h1>Datatable basic example&lt;/h1>
        <br />
        <mdb-table-editable :columns="columns" :rows="rows" class="text-center" striped bordered />
    </div>
  </template>
  
        
    

API Reference: Properties

Name Type Default Description Example
columns Array - CSets table's columns <mdb-editable :columns="columns"/>
rows Array Sets table's rows <mdb-editable :rows="rows" />
bordered Boolean false Displays border around table content <mdb-editable bordered />
borderless Boolean false Removes border styles <mdb-editable borderless />
dark Boolean false Changes table's style to dark background <mdb-editable dark />
pagination Boolean false If set to true enables pagination <mdb-editable pagination />
entries Number 10 Determines maximum number of entries displayed on a page <mdb-editable pagination :entries="20" />
display Number 5 Sets number of page items in the pagination <mdb-editable pagination :display="4" />
responsive Boolean false Enables responsive behavior <mdb-editable responsive />
responsiveSm Boolean false Sets rensponsive breakpoint to small device <mdb-editable responsiveSm />
responsiveMd Boolean false Sets rensponsive breakpoint to medium device <mdb-editable responsiveMd />
responsiveLg Boolean false Sets rensponsive breakpoint to large device <mdb-editable responsiveLg />
responsiveXl Boolean false Sets rensponsive breakpoint to extra large device <mdb-editable responsiveXl />

MDB Pro

Using components and features labeled as MDB Pro component requires MDB Pro package.

Click the button below to learn more about MDBbootstrap Pro package

MDBootstrap Pro

Tutorials

If you need additional help to start, use our "5 min Quick Start".

5 min Quick Start

Compilation & Customization tutorial

If you need additional help to compile your custom package, use our Compilation & Customization tutorial

Compilation & Customization tutorial

React Table Editable

React Table Editable - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

With React Editable Bootstrap Table, you can add and remove rows and change text and information within cells. In-place editing on your website - based on JavaScript - is now easier and quicker.


Basic example

Editable table

Person Name Age Company Name Country City Sort Remove
Aurelia Vega 30 Deepends Spain Madrid
Guerra Cortez 45 Insectus USA San Francisco
Guadalupe House 26 Isotronic Germany Frankfurt am Main
Elisa Gallagher 31 Portica United Kingdom London
        
            
            import React from "react";
            import { MDBCard, MDBCardHeader, MDBCardBody, MDBTableEditable } from "mdbreact";
  
            const columns = ["Person Name", "Age", "Company Name", "Country", "City"];
  
            const data = [
              ["Aurelia Vega", 30, "Deepends", "Spain", "Madrid"],
              ["Guerra Cortez", 45, "Insectus", "USA", "San Francisco"],
              ["Guadalupe House", 26, "Isotronic", "Germany", "Frankfurt am Main"],
              ["Elisa Gallagher", 31, "Portica", "United Kingdom", "London"]
            ];
  
            const TableEditablePage = props => {
              return (
                <MDBCard>
                  <MDBCardHeader tag="h3" className="text-center font-weight-bold text-uppercase py-4">
                    Table Editable
                  </MDBCardHeader>
                  <MDBCardBody>
                    <MDBTableEditable data={data} columns={columns} striped bordered />
                  </MDBCardBody>
                </MDBCard>
              );
            };
  
            export default TableEditablePage;
          
        
    

React Table Editable - API

In this section you will find advanced information about the Table Editable component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Table Editable import statement

In order to use Table Editable component make sure you have imported proper module first.

        
            
            import { MDBTableEditable } from 'mdbreact';
        
        
    

Table Editable PropTypes

The table below shows the configuration options of the Table Editable component.

Name Type Default Description Example
bordered Boolean false Adds borders on all sides of the table and cells. <MDBTableEditable bordered ... />
className String Adds custom class to TableEditable component <MDBTableEditable className="myClass" ... />
columns Array Specify headers and number of columns <MDBTableEditable columns={['Person Name', 'Age', 'Company Name']} ... />
data Array Binds your data into the component. <MDBTableEditable data = {['Aurelia Vega', 30, 'Deepends']} ... />
hover Boolean Enables a hover state on table rows within a table body. <MDBTableEditable hover ... />
small Boolean Makes tables more compact by cutting cell padding in half. <MDBTableEditable small ... />
striped Boolean Adds zebra-striping to any table row within the table body <MDBTableEditable striped ... />
responsive Boolean Makes table responsive across all viewports <MDBTableEditable responsiveLg ... />
responsiveLg Boolean Makes table responsive up to the lg brakepoint <MDBTableEditable responsiveLg ... />
responsiveMd Boolean Makes table responsive up to the medium brakepoint <MDBTableEditable responsiveMd ... />
responsiveSm Boolean Makes table responsive up to the small brakepoint <MDBTableEditable responsiveSm ... />
responsiveXl Boolean Makes table responsive up to the xl brakepoint <MDBTableEditable responsiveXl ... />

API Reference: TableEditable Methods

Name Parameters Description Example
getValue event Method called on input change event; returns value of edited table. <MDBTableEditable getValue={ value => console.log(value) } ... />
onChange event This method returns a object with changed data of MDBTableEditable element <MDBTableEditable onChange={ value => console.log(value) } ... />

Angular Bootstrap table editable

Angular Table editable - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap Editable Tables are components with which you can add and remove rows and change text and information within cells. In-place editing on your website - based on JavaScript - is now easier and quicker.


Basic example

Live example
        
            
          <!-- Editable table -->
          <div class="card">
            <h3 class="card-header text-center font-weight-bold text-uppercase py-4">Editable table</h3>
            <div class="card-body">
              <div id="table" class="table-editable">
                <span class="table-add float-right mb-3 mr-2">
                  <a class="text-success" (click)="add()">
                    <mdb-icon fas icon="plus" size="2x"></mdb-icon>
                  </a>
                </span>
                <table class="table table-bordered table-responsive-md table-striped text-center">
                  <tr>
                    <th class="text-center">Person Name</th>
                    <th class="text-center">Age</th>
                    <th class="text-center">Company Name</th>
                    <th class="text-center">Country</th>
                    <th class="text-center">City</th>
                    <th class="text-center">Sort</th>
                    <th class="text-center">Remove</th>
                  </tr>
                  <tr *ngFor="let person of personList; let id = index">
                    <td>
                      <span (keyup)="changeValue(id, 'name', $event)" (blur)="updateList(id, 'name', $event)" contenteditable="true">{{ person.name }}</span>
                    </td>
                    <td>
                      <span contenteditable="true" (keyup)="changeValue(id, 'age', $event)" (blur)="updateList(id, 'age', $event)">{{ person.age }}</span>
                    </td>
                    <td>
                      <span contenteditable="true" (keyup)="changeValue(id, 'companyName', $event)" (blur)="updateList(id, 'companyName', $event)">{{ person.companyName }}</span>
                    </td>
                    <td>
                      <span contenteditable="true" (keyup)="changeValue(id, 'country', $event)" (blur)="updateList(id, 'country', $event)">{{ person.country }}</span>
                    </td>
                    <td>
                      <span contenteditable="true" (keyup)="changeValue(id, 'city', $event)" (blur)="updateList(id, 'city', $event)">{{ person.city }}</span>
                    </td>
                    <td>
                      <span class="table-up">
                        <a class="indigo-text">
                          <mdb-icon fas icon="long-arrow-alt-up"></mdb-icon>
                        </a>
                      </span>
                      <span class="table-down">
                        <a class="indigo-text">
                          <mdb-icon fas icon="long-arrow-alt-down"></mdb-icon>
                        </a>
                      </span>
                    </td>
                    <td>
                      <span class="table-remove">
                        <button type="button" mdbBtn color="danger" rounded="true" size="sm" class="my-0" (click)="remove(id)">Remove</button>
                      </span>
                    </td>
                  </tr>
                </table>
              </div>
            </div>
          </div>
          <!-- Editable table -->
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'table-editable',
            templateUrl: './table-editable.component.html',
            styleUrls: ['./table-editable.component.css']
          })
          export class TableEditableComponent {
            editField: string;
            personList: Array<any> = [
              { id: 1, name: 'Aurelia Vega', age: 30, companyName: 'Deepends', country: 'Spain', city: 'Madrid' },
              { id: 2, name: 'Guerra Cortez', age: 45, companyName: 'Insectus', country: 'USA', city: 'San Francisco' },
              { id: 3, name: 'Guadalupe House', age: 26, companyName: 'Isotronic', country: 'Germany', city: 'Frankfurt am Main' },
              { id: 4, name: 'Aurelia Vega', age: 30, companyName: 'Deepends', country: 'Spain', city: 'Madrid' },
              { id: 5, name: 'Elisa Gallagher', age: 31, companyName: 'Portica', country: 'United Kingdom', city: 'London' },
            ];

            awaitingPersonList: Array<any> = [
              { id: 6, name: 'George Vega', age: 28, companyName: 'Classical', country: 'Russia', city: 'Moscow' },
              { id: 7, name: 'Mike Low', age: 22, companyName: 'Lou', country: 'USA', city: 'Los Angeles' },
              { id: 8, name: 'John Derp', age: 36, companyName: 'Derping', country: 'USA', city: 'Chicago' },
              { id: 9, name: 'Anastasia John', age: 21, companyName: 'Ajo', country: 'Brazil', city: 'Rio' },
              { id: 10, name: 'John Maklowicz', age: 36, companyName: 'Mako', country: 'Poland', city: 'Bialystok' },
            ];

            updateList(id: number, property: string, event: any) {
              const editField = event.target.textContent;
              this.personList[id][property] = editField;
            }

            remove(id: any) {
              this.awaitingPersonList.push(this.personList[id]);
              this.personList.splice(id, 1);
            }

            add() {
              if (this.awaitingPersonList.length > 0) {
                const person = this.awaitingPersonList[0];
                this.personList.push(person);
                this.awaitingPersonList.splice(0, 1);
              }
            }

            changeValue(id: number, property: string, event: any) {
              this.editField = event.target.textContent;
            }
          }
        
        
    
        
            
          @media all and (min-width: 768px) {
            tr  {
              td {
                vertical-align: middle !important;
              }
              span {
                &:not([class]) {
                  padding: 1rem 1rem;
                }
              }
            }
          }
        
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the table data according to any specific columns.

Table responsive

Table editable allows you to use tables on mobile devices.

Table styles

Table styles shows you how you can style your tables.

Angular Editable Table - API

In this section you will find advanced information about the Table component. You will find out which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.

Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
            import { WavesModule, ButtonsModule } from 'ng-uikit-pro-standard';
          
        
    

Methods

The table shows the available methods in component.

Name Parameters Description Example
remove() index: number Adds a new item to the awaitingPersonList array and removes the same item from the personList array. Takes ID of an element as a argument. remove(1);
add()
Adds a new item to the personList array, and removes the same item from the awaitingPersonList array. add();
changeValue() id: number, property: string, event: event Changes the value of the currently selected item by calling the keyup event. It takes as arguments the id of the element, property, which is to be changed in the array and event. changeValue(1, 'name', event);